//
//  KinemeCore.h
//  KinemeCore
//
//  Created by Christopher Wright on 11/6/07.
//  Copyright 2007 Kosada Incorporated. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// import all the QC Headers
#import <KinemeCore/GFConnection.h>
#import <KinemeCore/GFGraph.h>
#import <KinemeCore/GFGraphView.h>
#import <KinemeCore/GFList.h>
#import <KinemeCore/GFNode.h>
#import <KinemeCore/GFNodeActor.h>
#import <KinemeCore/GFNodeClassDescription.h>
#import <KinemeCore/GFNodeManager.h>
#import <KinemeCore/GFPort.h>
#import <KinemeCore/QCBooleanPort.h>
#import <KinemeCore/QCCGLContext.h>
#import <KinemeCore/QCCache.h>
#import <KinemeCore/QCColorPort.h>
#import <KinemeCore/QCContext.h>
#import <KinemeCore/QCGraphicsContext.h>
#import <KinemeCore/QCImage.h>
#import <KinemeCore/QCImageBuffer.h>
#import <KinemeCore/QCImageManager.h>
#import <KinemeCore/QCImagePort.h>
#import <KinemeCore/QCImageProvider.h>
#import <KinemeCore/QCImageTextureBuffer.h>
#import <KinemeCore/QCIndexPort.h>
#import <KinemeCore/QCInspector.h>
#import <KinemeCore/QCInterpolationPort.h>
#import <KinemeCore/QCLink.h>
#import <KinemeCore/QCList.h>
#import <KinemeCore/QCNodeManager.h>
#import <KinemeCore/QCNumberPort.h>
#import <KinemeCore/QCObject.h>
#import <KinemeCore/QCObjectPort.h>
#import <KinemeCore/QCOpenGLContext.h>
#import <KinemeCore/QCOpenGLPort_Blending.h>
#import <KinemeCore/QCOpenGLPort_Color.h>
#import <KinemeCore/QCOpenGLPort_Culling.h>
#import <KinemeCore/QCOpenGLPort_Image.h>
#import <KinemeCore/QCOpenGLPort_ZBuffer.h>
#import <KinemeCore/QCPatch.h>
#import <KinemeCore/QCPatchActor.h>
#import <KinemeCore/QCPatchRenderingInfo.h>
#import <KinemeCore/QCPatchView.h>
#import <KinemeCore/QCPixelFormat.h>
#import <KinemeCore/QCPixelImageBuffer.h>
#import <KinemeCore/QCPort.h>
#import <KinemeCore/QCProtocols.h>
#import <KinemeCore/QCProxyPort.h>
#import <KinemeCore/QCRegion.h>
#import <KinemeCore/QCRenderState.h>
#import <KinemeCore/QCResource.h>
#import <KinemeCore/QCResourcePool.h>
#import <KinemeCore/QCStringPort.h>
#import <KinemeCore/QCStructure.h>
#import <KinemeCore/QCStructurePort.h>
#import <KinemeCore/QCTableView.h>
#import <KinemeCore/QCTypes.h>
#import <KinemeCore/QCVirtualPort.h>

// Types
#import <KinemeCore/KinemeAudio.h>
#import <KinemeCore/KinemeGLPoint.h>

// Ports
#import <KinemeCore/KinemeAudioPort.h>
#import <KinemeCore/KinemeAudioInputPort.h>
#import <KinemeCore/KinemeAudioOutputPort.h>
#import <KinemeCore/KinemeGLPointPort.h>


#define kKinemeCoreVersion (20071201)

@interface KinemeCore : NSObject
{
}

+ (BOOL)isKinemeCoreLoaded;
+ (unsigned int)currentKinemeCoreVersion;
@end
